#!/bin/sh
# Copyright 2009,2010 Nick White
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
# This script creates a list of commands for mutt, to autoencrypt
# every email for which we have a key
#
# To use this in mutt, add the following to your ~/.muttrc:
# source encrypt-if-possible.sh|

gpg --list-keys | sed '
/@/!d
s/^.*<//g
s/>$//g
s/.*/send-hook & "set crypt_autoencrypt = yes"/g'
